.navigation {
  #total-layer-info {
    background-color: var(--bs-bg-primary);
    z-index: 2;
    color: #ffffff;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    font-size: 14px;
    transition: 0.5s;
  }

  #navigation {
    position: absolute;
    left: -350px;
    transition: 0.5s;
  }

  #main {
    position: absolute;
    left: 0;
    top: 0;
    transition: margin-left 0.5s;
  }

  // custom
  .btnControlNav {
    background-color: var(--bs-bg-primary);
    position: absolute;
    padding: 8px;
    top: 50px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    z-index: 2;
    margin-left: -5px;
    margin-top: 50px;
  }

  .btnControlNav:hover {
    background-color: #06956f;
    cursor: pointer;
  }

  .tag-new {
    background-color: #ff7500;
    color: #ffffff;
    font-size: 12px;
  }

  .logo-waze {
    margin-left: 2.3em;
  }

  
}

::ng-deep .tooltip-inner {
  text-align:left !important;
}

.sidenav {
  height: 100%;
  width: 350px;
  position: fixed;
  top: 0;
  background-color: var(--bs-bg-primary);
  transition: 0.5s;
  z-index: 2;

  .btn:focus {
    outline: none;
    box-shadow: none;
  }

  .pencarian_data {
    position: relative;
  }

  .pencarian_data > .icon {
    position: absolute;
    top: 50%;
    left: 20px;
    transform: translateY(-50%);
    color: silver;
  }

  .pencarian_data > input {
    padding-left: calc(1em + 20px + 12px); /* icon width + icon padding-left + desired separation*/
  }

  .pencarian_data > .icon {
    display: inline-block;
    width: 1em;
    height: 1em;
    stroke-width: 0;
    stroke: currentColor;
    fill: currentColor;
  }

  a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 14px;
    // color: #EBEBEB;
    display: block;
    transition: 0.3s;
  }

  a:hover {
    color: #ebebeb;
    display: block;
    background-color: #049f6c;
  }

  .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
  }

  @media screen and (max-height: 450px) {
    a {
      font-size: 14px;
    }
  }

  .sidenav-menu-title {
    padding: 14px;
    text-align: center;
    border-bottom: 1px solid #e2e2e2;
  }

  .sidenav-search-input {
    background-color: #2e3641;
    border-color: #4b525b;
    font-size: 13px;
    color: #ebebeb;
  }

  .icon-filter-group:hover {
    color: #05abe5;
    cursor: pointer;
  }

  .icon-filter-group-active {
    color: #05abe5;
    cursor: pointer;
    border-bottom: 2px solid #05abe5;
  }

  .icon-filter-group {
    width: 25px;
    padding: 7px;
    float: left;
    font-size: 13px;
  }

  .sidenav-header {
    width: 100%;
    padding: 3px;
    border-bottom: 3px solid #000;
  }

  .slidenav-group {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 12px;
    padding-bottom: 12px;
    background: #090909;
    font-style: normal;
    font-weight: bold;
    font-size: 17px;
    line-height: 20px;
    color: #ffffff;
  }

  .hide-component {
    display: none;
  }

  .show-component {
    display: inline;
  }

  //////////////////////////
  ::ng-deep .collapsible {
    background-color: #ebebeb;
    color: #000;
    cursor: pointer;
    padding: 8px;
    width: 100%;
    border: none;
    border-bottom: 1px solid #e2e2e2;
    text-align: left;
    outline: none;
    font-size: 9px;
    display: flex;
    align-items: center;
  }

  ::ng-deep .collapsible:hover {
    background-color: #f5f5f5;
  }

  ::ng-deep .collapsible:after {
    content: '\002B';
    color: black;
    font-weight: bold;
    float: right;
    margin-left: 5px;
    margin-top: 10px;
  }

  ::ng-deep .active:after {
    content: '\2212';
  }

  ::ng-deep .content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    // background-color: #f1f1f1;
  }

  ///////////////////// checkbox
  .control {
    display: block;
    position: relative;
    padding-left: 40px;
    padding-top: 10px;
    cursor: pointer;
    font-size: 14px;
  }
  .control input {
    position: absolute;
    z-index: -1;
    opacity: 0;
  }
  .control_indicator {
    position: absolute;
    top: 35%;
    left: 0;
    height: 20px;
    width: 20px;
    background: #e6e6e6;
    border: 0px solid #000000;
    border-radius: 5px;
    vertical-align: middle;
  }
  .control:hover input ~ .control_indicator,
  .control input:focus ~ .control_indicator {
    background: #cccccc;
  }

  .control input:checked ~ .control_indicator {
    background: #05abe5;
  }
  // .control:hover input:not([disabled]):checked ~ .control_indicator,
  // .control input:checked:focus ~ .control_indicator {
  // background: #0e6647;
  // }
  .control input:disabled ~ .control_indicator {
    background: #e6e6e6;
    opacity: 0.6;
    pointer-events: none;
  }
  .control_indicator:after {
    box-sizing: unset;
    content: '';
    position: absolute;
    display: none;
  }
  .control input:checked ~ .control_indicator:after {
    display: block;
  }
  .control-checkbox .control_indicator:after {
    left: 8px;
    top: 4px;
    width: 3px;
    height: 8px;
    border: solid #ebebeb;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
  }
  .control-checkbox input:disabled ~ .control_indicator:after {
    border-color: #7b7b7b;
  }
  .control-checkbox .control_indicator::before {
    content: '';
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    width: 4.5rem;
    height: 4.5rem;
    margin-left: -1.3rem;
    margin-top: -1.3rem;
    background-color: #2aa1c0;
    border-radius: 3rem;
    opacity: 0.6;
    z-index: 99999;
    transform: scale(0);
  }
  @keyframes s-ripple {
    0% {
      transform: scale(0);
    }
    20% {
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: scale(1);
    }
  }
  @keyframes s-ripple-dup {
    0% {
      transform: scale(0);
    }
    30% {
      transform: scale(1);
    }
    60% {
      transform: scale(1);
    }
    100% {
      opacity: 0;
      transform: scale(1);
    }
  }
  .control-checkbox input + .control_indicator::before {
    animation: s-ripple 250ms ease-out;
  }
  .control-checkbox input:checked + .control_indicator::before {
    animation-name: s-ripple-dup;
  }

  .input-text {
    padding: 5px;
    border: 0px solid #ccc;
    border-radius: 4px;
    height: 30px;
    background-color: #09b9f7;
    color: #ebebeb;
  }

  .input-text::placeholder {
    color: #ebebeb;
  }

  ::ng-deep.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: blue;
  }

  // Query Tool by geometry CSS

  #queryDiv {
    padding: 6px;
  }

  .geometry-options {
    display: flex;
    flex-direction: row;
  }
  .geometry-button {
    flex: 1;
    border-style: solid;
    border-width: 1px;
    border-image: none;
  }
  .geometry-button-selected {
    background: #4c4c4c;
    color: #ebebeb;
  }

  //  btn explore data
  .btn-explore {
    background-color: #00ad7c;
    color: #ebebeb;
    border-radius: 3px;
    padding: 13px;
    border: none;

    font-family: Roboto, sans-serif;
    font-weight: 500;
    font-size: 14px;
    height: calc(1.5em + 1rem + 10px);
  }

  .btn-explore:hover {
    background-color: #049f6c;
  }

  .sidenav_panelEmpty {
    background-color: #2e3641;
    color: #ebebeb;
    border-bottom: 5px solid #65c6c4 !important;
    border-radius: 4px;
  }

  .sidenav_panelEmpty .card-text {
    font-size: 15px;
    line-height: 2;
  }

  .mapset-statistic {
    background-color: transparent;
    color: #ebebeb;
  }

  .mapset-statistic .card-text {
    font-size: 15px;
    line-height: 2;
  }

  .sidenav_panel {
    font-style: normal;
    font-weight: bold;
    font-size: 14px;
    line-height: 20px;
  }
  .sidenav_panel_mapset {
    background: #4b525b;
    border-radius: 4px;
    color: #ebebeb;
  }

  ::ng-deep .mat-checkbox-checked.mat-accent .mat-checkbox-background {
    background-color: var(--bs-bg-primary);
  }

  .sidenav-body {
    overflow-y: auto;
    height: calc(100vh - 250px);
    padding-bottom: 40px;
  }

  .mapset_control {
    height: 18px;
    position: relative;
    display: flex;
    justify-content: space-between;
    list-style: none;
    padding-left: 0;
    margin: 0;
    margin-bottom: 15px;
  }

  .mapset_control_button {
    background: none;
    border: none;
    outline: none;
    font-size: 0.625rem;
    color: #ebebeb;
  }

  ::ng-deep .esri-legend__message {
    display: none;
  }

  .slidenav-group-count {
    background: #65c6c4;
    border-radius: 4px;
    font-size: 12px;
    color: #000000;
    display: inline-block;
    width: 22px;
    text-align: center;
    margin-left: 5px;
    vertical-align: middle;
  }

  .slidenav-group-remove,
  .slidenav-group-remove button {
    font-size: 14px;
    float: right;
    color: rgb(235, 235, 235, 0.83);
  }

  .slidenav-group-remove svg {
    margin-bottom: 3px;
    margin-right: 3px;
  }

  ::ng-deep .esri-legend__service {
    padding: 0;
  }

  ::ng-deep .esri-legend__layer {
    margin-left: 0px;
  }

  ::ng-deep .esri-legend__layer-caption {
    padding: 0px;
  }

  .vertical-border {
    border-left: 1px solid var(--bs-bg-primary);
    z-index: 2;
  }

  .sidenav-tool {
    color: #ebebeb;
    font-size: 12px;
    font-weight: normal;
  }

  .sidenav-tool .btn {
    background: none;
    border: none;
  }

  .sidenav-tool .btn-group {
    background: #4b525b;
    border: 1px solid var(--bs-bg-primary);
    box-sizing: border-box;
    border-radius: 4px;
  }

  .sidenav-tool svg {
    opacity: 0.63;
  }

  .svg-active path {
    fill: #65c6c4;
    opacity: 1 !important;
  }

  .sidenav_panel_mapset {
    flex-direction: row;
    cursor: move;
  }

  .cdk-drag-preview {
    box-sizing: border-box;
    border-radius: 4px;
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2), 0 8px 10px 1px rgba(0, 0, 0, 0.14),
      0 3px 14px 2px rgba(0, 0, 0, 0.12);
  }

  .cdk-drag-placeholder {
    opacity: 0;
  }

  .cdk-drag-animating {
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
  }

  .sidenav_panel_mapset:last-child {
    border: none;
  }

  .sidenav_panel.cdk-drop-list-dragging .sidenav_panel_mapset:not(.cdk-drag-placeholder) {
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
  }
}

.cdk-drag-placeholder {
}
.cdk-drag-preview {
  background-color: #4b525b;
}

.btn-on-off {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 26px;

  input {
    opacity: 0;
    width: 0;
    height: 0;
  }

  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }

  .slider:before {
    position: absolute;
    content: '';
    height: 20px;
    width: 20px;
    left: 2px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: 0.4s;
    transition: 0.4s;
  }

  input:checked + .slider {
    background-color: #20a95a;
  }

  input:focus + .slider {
    box-shadow: 0 0 1px #20a95a;
  }

  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }

  /* Rounded sliders */
  .slider.round {
    border-radius: 34px;
  }

  .slider.round:before {
    border-radius: 50%;
  }
}
